DL_CryptoSystemBase< PK, KI > Class Template Referenceabstract

Discrete Log (DL) cryptosystem base implementation. More...

Inheritance diagram for DL_CryptoSystemBase< PK, KI >:

## Public Types

typedef DL_Base< KI >::Element | Element

## Public Member Functions

size_t | MaxPlaintextLength (size_t ciphertextLength) const
size_t | CiphertextLength (size_t plaintextLength) const
bool | ParameterSupported (const char *name) const

## Detailed Description

### template<class PK, class KI>
class DL_CryptoSystemBase< PK, KI >

Discrete Log (DL) cryptosystem base implementation.

Template Parameters

  PK | field element type
  KI | public or private key interface

Definition at line 1798 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h